package com.prolog.eis.service.shelves;

import com.prolog.eis.model.container.StationCfg;
import com.prolog.framework.common.message.RestMessage;
import com.prolog.framework.core.exception.PrologException;

import java.util.List;

public interface StationService {

    List<StationCfg> query(String stationNo, Integer taskType, Integer isLock );

    void update(StationCfg stationCfg) throws PrologException;

    void save(StationCfg stationCfg) throws PrologException;

    RestMessage<?> checkWorkStationNo(String stationNo, Integer stationTypeCheck);
}
